diff -uNr irc2.11.2p3-fc01.orig/common/struct_def.h irc2.11.2p3-fc01/common/struct_def.h
--- irc2.11.2p3-fc01.orig/common/struct_def.h	2010-08-15 01:35:04.000000000 +0900
+++ irc2.11.2p3-fc01/common/struct_def.h	2016-01-24 16:15:43.039359000 +0900
@@ -46,7 +46,7 @@
 #error HOSTLEN must not be smaller than INET6_ADDRSTRLEN
 #endif
 
-#define	NICKLEN		15	/* Must be the same network-wide. */
+#define	NICKLEN		32	/* Must be the same network-wide. */
 #define UIDLEN		9	/* must not be bigger than NICKLEN --Beeth */
 #define	USERLEN		10
 #define	REALLEN	 	50
diff -uNr irc2.11.2p3-fc01.orig/support/config.h.dist irc2.11.2p3-fc01/support/config.h.dist
--- irc2.11.2p3-fc01.orig/support/config.h.dist	2010-08-15 02:46:16.000000000 +0900
+++ irc2.11.2p3-fc01/support/config.h.dist	2016-01-24 16:21:26.273727000 +0900
@@ -147,7 +147,7 @@
  * 1 server = 1 connection, 1 user = 1 connection.
  * Due to various sanity checks during startup, minimum is 13.
  */
-#define MAXCONNECTIONS	50
+#define MAXCONNECTIONS	128
 
 /* MAXIMUM LINKS
  *
@@ -176,7 +176,7 @@
  * a server is in class 0 (the default class if none is set).
  *
  */
-#define MAXIMUM_LINKS 1
+#define MAXIMUM_LINKS 3
 
 /*
  * A pure non-routing leaf server can undefine HUB for best performance.
@@ -184,7 +184,7 @@
  * A HUB Server has many servers connect to it at the same as opposed
  * to a leaf which just has 1 server (typically the uplink).
  */
-#undef	HUB
+#define	HUB
 
 #ifdef HUB
 /*
@@ -241,25 +241,25 @@
  * this option is used unless you tell the system administrator beforehand
  * and obtain their permission to send messages to the system log files.
  */
-#undef	USE_SYSLOG
+#define	USE_SYSLOG
 
 #ifdef	USE_SYSLOG
 /*
  * If you use syslog above, you may want to turn some (none) of the
  * spurious log messages for KILL/SQUIT off.
  */
-#undef	SYSLOG_KILL	/* log all operator kills to syslog */
-#undef	SYSLOG_SQUIT	/* log all remote squits for all servers to syslog */
-#undef	SYSLOG_CONNECT	/* log remote connect messages for other all servs */
-#undef	SYSLOG_USERS	/* send userlog stuff to syslog */
-#undef	SYSLOG_OPER	/* log all users who successfully become an Op */
-#undef	SYSLOG_CONN	/* log all uncomplete/rejected connections */
+#define	SYSLOG_KILL	/* log all operator kills to syslog */
+#define	SYSLOG_SQUIT	/* log all remote squits for all servers to syslog */
+#define	SYSLOG_CONNECT	/* log remote connect messages for other all servs */
+#define	SYSLOG_USERS	/* send userlog stuff to syslog */
+#define	SYSLOG_OPER	/* log all users who successfully become an Op */
+#define	SYSLOG_CONN	/* log all uncomplete/rejected connections */
 
 /*
  * If you want to log to a different facility than DAEMON, change
  * this define.
  */
-#define LOG_FACILITY LOG_DAEMON
+#define LOG_FACILITY LOG_LOCAL5
 #endif /* USE_SYSLOG */
 
 /*
@@ -357,7 +357,7 @@
  * send to the server without processing before disconnecting the client for
  * flooding it.  Values greater than 8000 make no difference to the server.
  */
-#define	CLIENT_FLOOD	1000
+#define	CLIENT_FLOOD	4000
 
 /* Remote query flood protection. */
 #define	CHREPLLEN	8192
@@ -392,7 +392,7 @@
  * The library and the include files must have been found by configure,
  * if you have installed the zlib after running configure, run it again.
  */
-#undef ZIP_LINKS
+#define	ZIP_LINKS
 
 /*
  * Defining this will add an artificial 2 seconds delay for accepting
@@ -506,7 +506,7 @@
 /*
  * Max number of channels a user is allowed to join.
  */
-#define MAXCHANNELSPERUSER  21	/* Recommended value: 21 */
+#define MAXCHANNELSPERUSER  64	/* Recommended value: 21 */
 
 /*
  * USE_IAUTH makes ircd use the iauth program for authentication.
@@ -543,8 +543,8 @@
  *
  * Defining to 0 disables entering split-mode.
  */
-#define DEFAULT_SPLIT_USERS	65000
-#define DEFAULT_SPLIT_SERVERS	80
+#define DEFAULT_SPLIT_USERS	0
+#define DEFAULT_SPLIT_SERVERS	0
 
 /*
 ** Notice sent to connecting users if the server is in the split-mode.
@@ -594,7 +594,7 @@
 /*
 ** Define this if you want to use Japanese channel names in JIS encoding.
 */
-#undef JAPANESE
+#define	JAPANESE
 
 /*
 ** If you want to allow your opers to be able to use SIDTRACE command to
@@ -798,8 +798,8 @@
 #define CACCEPT_DEFAULT 2
 
 /* Minimum values admin can set. */
-#define SPLIT_USERS	50000
-#define SPLIT_SERVERS	50
+#define SPLIT_USERS	0
+#define SPLIT_SERVERS	0
 
 /*   STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP  */
 /*   STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP  */
